// <r> <g> <b> <intensity> <degrees> <elevation>

textures/ut4_perma/light
{
	qer_editorimage textures/ut4_perma/f_light1.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_perma/f_light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_perma/f_light1.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_perma/glass
{
      surfaceparm trans	
	cull none
	qer_trans 	0.5
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/ut4_perma/fence
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/ut4_perma/fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_perma/metal
{   
 
        {
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/ut4_perma/metal.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/common/watercaulk
{
qer_trans 0.40
qer_editorimage textures/common/watercaulk.tga
surfaceparm nodraw
surfaceparm nonsolid
surfaceparm trans
surfaceparm water

}

textures/ut4_perma/mirror
{
	qer_editorimage textures/ut4_perma/mirror.tga
	surfaceparm nolightmap
	portal
  
	{
		map textures/ut4_perma/mirror.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
       
        

}

textures/ut4_perma/fountain
{
	qer_editorimage textures/wetwired/fs_rain2.tga
      surfaceparm trans	
      surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/wetwired/fs_rain2.tga
            tcMod Scroll 0 1.5      
            blendFunc GL_ONE GL_ONE
        }
}

textures/base_light/lt2_2000
{
	qer_editorimage textures/base_light/light2.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/light2.blend.tga
		rgbGen wave sin 0.6 0.1 .1 .1
		blendFunc GL_ONE GL_ONE
	}
}

textures/sfx/beam
{
      surfaceparm trans	
      surfaceparm nomarks	
      surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/sfx/beam.tga
                tcMod Scroll .3 0
                blendFunc add
      }
}